메인 콘텐츠로 건너뛰기
이 가이드는 인용 포스트(다른 게시물을 인용하는 포스트)를 가져오는 방법을 단계별로 설명합니다.
사전 준비 사항시작하기 전에 다음이 필요합니다.

게시물 ID 찾기

인용 포스트를 조회하려는 대상 게시물의 ID를 가져옵니다. 이 ID는 게시물의 URL에서 확인할 수 있습니다.
https://x.com/XDevelopers/status/1409931481552543749
                                └── 여기가 게시물 ID입니다

인용 포스트 요청하기

cURL
curl "https://api.x.com/2/tweets/1409931481552543749/quote_tweets?\
tweet.fields=created_at,public_metrics,author_id&\
expansions=author_id&\
user.fields=username,verified&\
max_results=10" \
  -H "Authorization: Bearer $BEARER_TOKEN"

응답 검토하기

{
  "data": [
    {
      "id": "1495979553889697792",
      "text": "Great thread on the new API features! https://t.co/...",
      "author_id": "29757971",
      "created_at": "2022-02-22T04:31:34.000Z",
      "public_metrics": {
        "retweet_count": 5,
        "reply_count": 2,
        "like_count": 42,
        "quote_count": 1
      },
      "edit_history_tweet_ids": ["1495979553889697792"]
    }
  ],
  "includes": {
    "users": [
      {
        "id": "29757971",
        "username": "developer",
        "verified": false
      }
    ]
  },
  "meta": {
    "result_count": 1,
    "next_token": "avdjwk0udyx6"
  }
}

결과 페이지네이션 처리

SDK는 페이지네이션을 자동으로 처리합니다. cURL을 사용할 때는 더 많은 인용 포스트를 가져오려면 next_token을 사용하세요.
curl "https://api.x.com/2/tweets/1409931481552543749/quote_tweets?\
max_results=10&\
pagination_token=avdjwk0udyx6" \
  -H "Authorization: Bearer $BEARER_TOKEN"

다음 단계

리트윗

리트윗 조회

포스트 조회

ID로 포스트 조회

API 참조 문서

전체 엔드포인트 문서